Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt

Use this file to discover all available pages before exploring further.


Function: getMetrics()

function getMetrics(options: object & object): Promise<{
  aggregateMetrics: {
    [key: Uncapitalize<string>]:
      | number
      | {
          [key: string]: number;
        };
  };
  bucketedMetrics: {
    [key: Uncapitalize<string>]: object[];
  };
  emsCapturedError?: boolean;
  groupByColumns: string[];
  standardErrors?: null | {
    [key: Uncapitalize<string>]: object;
  };
}>;
Defined in: src/utils/metrics.ts Searches for metrics in a project.

Parameters

options

object & object The search query parameters.

Returns

Promise<{ aggregateMetrics: { [key: Uncapitalize<string>]: | number | { [key: string]: number; }; }; bucketedMetrics: { [key: Uncapitalize<string>]: object[]; }; emsCapturedError?: boolean; groupByColumns: string[]; standardErrors?: | null | { [key: Uncapitalize<string>]: object; }; }> A promise that resolves to the search results.